Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003948TestLinkUser Interface Generalpublic2010-10-27 10:292010-11-14 12:07
Reporterroberto.braga@sociale.it 
Assigned Tofman 
PrioritynoneSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 (Prague) 
Summary0003948: Every image link contain a double /
DescriptionThe generated link for the image contain a double / before the file name
gui/themes/default/images//icon_edit.png

This affect every image link due to a wrong const definition/wrong use in template.
Either correct TL_THEME_IMG_DIR definition or remove the / when using it in smarty

src="{$smarty.const.TL_THEME_IMG_DIR}/icon_edit.png"/>
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0012097)
fman (administrator)
2010-10-27 17:05

do this generates some malfunctioning ?
please give detailed steps to reproduce
(0012157)
roberto.braga@sociale.it (reporter)
2010-10-29 12:03

No there is no malfunction (at least with my server configuration).
I signed the bug as trivial with no priority, but anyaway is a malformed link.

To see if it give problems it should be tested under different webserver.
It is up to the webserver to resolve a link with // correctly.
At least under apache it works.

Anyway if you want to fix it, it is very quick and require little work.
(0012166)
fman (administrator)
2010-10-30 07:48

>> Anyway if you want to fix it, it is very quick and require little work
keep off issues this kind of comments please
(0012522)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-27 10:29 roberto.braga@sociale.it New Issue
2010-10-27 17:05 fman Note Added: 0012097
2010-10-29 12:03 roberto.braga@sociale.it Note Added: 0012157
2010-10-30 07:48 fman Note Added: 0012166
2010-10-30 07:49 fman Status new => resolved
2010-10-30 07:49 fman Fixed in Version => 1.9 (Prague)
2010-10-30 07:49 fman Resolution open => fixed
2010-10-30 07:49 fman Assigned To => fman
2010-11-14 12:07 fman Note Added: 0012522
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker